
QGIS Application - Bug report #17316

Current implementation of multiple-layer style paste doesn't work for the command menu "Layer / 

Paste Style".

2017-10-22 12:12 PM - sand thorn

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25214

Description

I'm not sure this should be categorized as a bug or just a feature request.

from a closed feature request: #10323

copy/paste style for multiple layers

It seems that this got implemented only through tree view menu (right-click)

But when using menu "Layer / Paste Style", it only pastes on the latest select layer, and if you select a group, Paste command is just

grayed out.

If the menu command also works, you will be able to just map a keyboard shortcut to Paste on multiple selected or group selected. That

would be awesome.

Thank you.

History

#1 - 2017-10-23 08:54 AM - Giovanni Manghi

- Subject changed from Current implementation of multiple-layer style paste doesn't work for the command menu Layer / Paste Style. to Current 

implementation of multiple-layer style paste doesn't work for the command menu "Layer / Paste Style".

l

#2 - 2017-10-23 10:25 AM - Jürgen Fischer

- Description updated

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-01-24 06:15 AM - sand thorn

Jürgen Fischer wrote:
Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

I confirm that QGIS 3.4.4 is still affected to this issue.

"Layer / Paste Style" only paste into a latest selected single layer, not the whole range of selection.

#5 - 2019-01-24 12:20 PM - Jürgen Fischer

- Affected QGIS version changed from 2.18.13 to 3.4.4

- Status changed from Feedback to Open
